| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions
LTC2656.cpp File Reference
Digital-to-Analog Converters (DAC) » LTC2656: Octal SPI 16-/12-Bit Rail-to-Rail DACs with 10ppm/C Max Reference

Library for LTC2656 Octal SPI 16-/12-Bit Rail-to-Rail DACs with 10ppm/C Max Reference. More...

## Detailed Description

Library for LTC2656 Octal SPI 16-/12-Bit Rail-to-Rail DACs with 10ppm/C Max Reference.

Definition in file LTC2656.cpp.

Go to the source code of this file.

## Functions
void | LTC2656_write (uint8_t cs, uint8_t dac_command, uint8_t dac_address, uint16_t dac_code)
| Write the 16-bit dac_code to the LTC2656. More...
uint16_t | LTC2656_voltage_to_code (float dac_voltage, float LTC2656_lsb, int16_t LTC2656_offset)
| Calculate a LTC2656 DAC code given the desired output voltage and DAC address (0-7) More...
float | LTC2656_code_to_voltage (uint16_t dac_code, float LTC2656_lsb, int16_t LTC2656_offset)
| Calculate the LTC2656 DAC output voltage given the DAC code, offset, and LSB value. More...
void | LTC2656_calibrate (uint16_t dac_code1, uint16_t dac_code2, float voltage1, float voltage2, float *LTC2656_lsb, int16_t *LTC2656_offset)
| Calculate the LTC2656 offset and LSB voltage given two measured voltages and their corresponding codes. More...

## Function Documentation

## ◆ LTC2656_calibrate()

void LTC2656_calibrate | ( | uint16_t | dac_code1,
|  | uint16_t | dac_code2,
|  | float | voltage1,
|  | float | voltage2,
|  | float * | LTC2656_lsb,
|  | int16_t * | LTC2656_offset
| ) |  |

Calculate the LTC2656 offset and LSB voltage given two measured voltages and their corresponding codes.

Returns
  Void

Parameters

  dac_code1 | First DAC code
  dac_code2 | Second DAC code
  voltage1 | First voltage
  voltage2 | Second voltage
  LTC2656_lsb | Returns resulting LSB (volts)
  LTC2656_offset | Returns resulting Offset (volts)

Definition at line 115 of file LTC2656.cpp.

## ◆ LTC2656_code_to_voltage()

float LTC2656_code_to_voltage | ( | uint16_t | dac_code,
|  | float | LTC2656_lsb,
|  | int16_t | LTC2656_offset
| ) |  |

Calculate the LTC2656 DAC output voltage given the DAC code, offset, and LSB value.

Returns
  Calculated voltage

Parameters

  dac_code | DAC code
  LTC2656_lsb | LSB value (volts)
  LTC2656_offset | Offset (volts)

Definition at line 107 of file LTC2656.cpp.

## ◆ LTC2656_voltage_to_code()

uint16_t LTC2656_voltage_to_code | ( | float | dac_voltage,
|  | float | LTC2656_lsb,
|  | int16_t | LTC2656_offset
| ) |  |

Calculate a LTC2656 DAC code given the desired output voltage and DAC address (0-7)

Returns
  The 16-bit code to send to the DAC

Parameters

  dac_voltage | Voltage to send to DAC
  LTC2656_lsb | LSB value (volts)
  LTC2656_offset | Offset (volts)

Definition at line 94 of file LTC2656.cpp.

## ◆ LTC2656_write()

void LTC2656_write | ( | uint8_t | cs,
|  | uint8_t | dac_command,
|  | uint8_t | dac_address,
|  | uint16_t | dac_code
| ) |  |

Write the 16-bit dac_code to the LTC2656.

Returns
  Void

Parameters

  cs | Chip Select Pin
  dac_command | Command Nibble, left-justified, lower nibble set to zero
  dac_address | DAC Address Nibble, right justified, upper nibble set to zero
  dac_code | 16-bit DAC code

Definition at line 79 of file LTC2656.cpp.